POST
/docs/{docId}/proposeCreate a change proposal
Create a proposal from a fork to its trunk document. The proposal contains the comparison of changes between the fork and trunk. This endpoint can only be called on a fork document.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
A string id (UUID)
retractedbooleanoptional
Set to true to retract an existing proposal
200Proposal created
comparisonobjectoptional
Comparison result between two document versions
idintegeroptional
Proposal ID
400Can only propose from a fork
Error handling
A 400 is returned: Can only propose from a fork.
